- Extending Qt Creator Manual
- QtCreator
- NetworkAccessManager
- Extending Qt Creator Manual 13.0.0

# NetworkAccessManager Class

class Utils::NetworkAccessManager

The NetworkAccessManager class provides a network access manager for use with Qt Creator. More...

Header: | #include <NetworkAccessManager>

- List of all members, including inherited members

## Public Functions

| NetworkAccessManager(QObject *parent = nullptr)

## Static Public Members

Utils::NetworkAccessManager * | instance()

## Reimplemented Protected Functions

virtual QNetworkReply * | createRequest(QNetworkAccessManager::Operation op, const QNetworkRequest &request, QIODevice *outgoingData) override

## Detailed Description

Common initialization, Qt Creator User Agent.

Preferably, the instance returned by NetworkAccessManager::instance() should be used for the main thread. The constructor is provided only for multithreaded use.

## Member Function Documentation

### NetworkAccessManager::NetworkAccessManager(QObject *parent = nullptr)

Constructs a network access manager instance with the parent parent.

### `[override virtual protected]` QNetworkReply *NetworkAccessManager::createRequest(QNetworkAccessManager::Operation op, const QNetworkRequest &request, QIODevice *outgoingData)

Creates request for the network access manager to perform the operation op on outgoingData.

### `[static]` Utils::NetworkAccessManager *NetworkAccessManager::instance()

Returns a network access manager instance that should be used for the main thread.